> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Component Access Right



## OpenAPI

````yaml Customer post /addComponentAccessRight
openapi: 3.0.0
info:
  title: Customer
  description: customer
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/customer
security:
  - default: []
paths:
  /addComponentAccessRight:
    post:
      tags:
        - Access Control
      summary: Add Component Access Right
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComponentAccessRightRequest'
      responses:
        '200':
          description: Add Component Access Right Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - default: []
components:
  schemas:
    ComponentAccessRightRequest:
      type: object
      properties:
        groupId:
          type: string
        customerId:
          type: string
        application:
          $ref: '#/components/schemas/Application'
    Response:
      type: object
      properties:
        id:
          type: string
    ErrorResponse:
      properties:
        httpCode:
          type: number
        internalCode:
          type: number
        internalType:
          type: string
        severity:
          type: string
        description:
          type: string
    Application:
      type: string
      enum:
        - b2b_wallet
        - b2c_wallet
        - admin_wallet
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````